package com.ruoyi.invest.mapper;

import com.ruoyi.invest.domain.TProjectPool;
import com.ruoyi.invest.domain.vo.TProjectPoolVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目池Mapper接口
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
public interface InvestmentOpportunityMapper {

    /*查询项目列表-项目阶段（总）*/
    List<TProjectPool> selectProjectList(TProjectPool tProjectPool);
    /*查询项目池列表-可申请（总）*/
    public List<TProjectPool> selectApplicableProjectList(TProjectPool tProjectPool);
    /*查询所有投资机会流程*/
    List<TProjectPoolVo> selectAllInvestmentOpportunityList(@Param("projectPool")TProjectPool tProjectPool);
    /*待办任务*/
    List<TProjectPoolVo> getMyTaskList(@Param("userId") String userId, @Param("projectPool")TProjectPool tProjectPool);
    /*已办任务*/
    List<TProjectPoolVo> getMyDoneTaskList(@Param("userId") String userId, @Param("projectPool")TProjectPool tProjectPool);
    /*我的单据*/
    List<TProjectPoolVo> getMyList(@Param("userId") String userId, @Param("projectPool")TProjectPool tProjectPool);
    /*详情*/
    public TProjectPool selectTProjectPoolByProcInstId(String ProcInstId);




}
